Package org.jboss.classfilewriter.constpool

## Class LongEntry

- java.lang.Object
- - org.jboss.classfilewriter.constpool.ConstPoolEntry
  - - org.jboss.classfilewriter.constpool.LongEntry

All Implemented Interfaces:
  `WritableEntry`

    public class LongEntry
    extends ConstPoolEntry

### Constructor Summary

Constructors
`LongEntry​(long value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConstPoolEntryType` `getType​()`
`void` `writeData​(DataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.constpool.ConstPoolEntry

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongEntry

    public LongEntry​(long value)

### Method Detail

#### getType

    public ConstPoolEntryType getType​()

Specified by:
  `getType` in class `ConstPoolEntry`

#### writeData

    public void writeData​(DataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `ConstPoolEntry`
Throws:
  `IOException`